<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Api REST API Documentation</title>
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:300,300italic,700,700italic">
  <link rel="stylesheet" href="api-doc-generator.min.css">
</head>
<body>
  <main>
    <nav class="navigation">
      <section class="container">
        <div class="row">
          <div class="column">
            <div class="title">Api REST API Documentation</div>
          </div>
        </div>
      </section>
    </nav>

    <section class="container">
      <div class="row">
        <div class="column">
          <div class="sections">
            <ul>
              <li>
                <a href="#admin wallets">admin wallets</a>
              </li>
              <li>
                <a href="#wallets">wallets</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </section>

    <section class="container">
      <div class="row">
        <div class="column">
          <div class="section">
            <div class="section-header">
              <div class="section-title">
                <a name="admin wallets" class="section-toggle">admin wallets</a>
              </div>

              <div class="actions">
                <a class="section-toggle">Show/hide</a>
                <a class="hide-description">List Operations</a>
                <a class="show-description">Expand Operations</a>
              </div>
            </div>

            <div class="endpoints">
              <div class="endpoint delete">
                <div class="address toggle-description">
                  <span class="label">delete</span><span class="url">/api/deleteall</span>
                </div>

                <div class="description hidden">
                  <p>Delete all wallets</p>
                  
                  <table>
                      <thead>
                      <tr>
                        <th>Parameter</th>
                        <th>Type</th>
                        <th>Required</th>
                      </tr>
                      </thead>
                      <tbody>
                      <tr>
                        <td>Authorization</td>
                        <td>header</td>
                        <td>true</td>
                      </tr>
                      </tbody>
                    </table>

                </div>
              </div>
              <div class="endpoint delete">
                <div class="address toggle-description">
                  <span class="label">delete</span><span class="url">/api/datatest.</span>
                </div>

                <div class="description hidden">
                  <p>Initialize wallets</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>Authorization</td>
                      <td>header</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="container">
      <div class="row">
        <div class="column">
          <div class="section">
            <div class="section-header">
              <div class="section-title">
                <a name="wallets" class="section-toggle">wallets</a>
              </div>

              <div class="actions">
                <a class="section-toggle">Show/hide</a>
                <a class="hide-description">List Operations</a>
                <a class="show-description">Expand Operations</a>
              </div>
            </div>

            <div class="endpoints">
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/api/rechercher</span>
                </div>

                <div class="description hidden">
                  <p>Search wallet</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>mode</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>login</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>url</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>key</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/api/ajouter</span>
                </div>

                <div class="description hidden">
                  <p>Add wallet</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>key</td>
                      <td>query</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>url</td>
                      <td>query</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>login</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>pwd</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>comment</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">put</span><span class="url">/api/modifier</span>
                </div>

                <div class="description hidden">
                  <p>Update wallet</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>key</td>
                      <td>query</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>url</td>
                      <td>query</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>login</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>pwd</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    <tr>
                      <td>comment</td>
                      <td>query</td>
                      <td>false</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint delete">
                <div class="address toggle-description">
                  <span class="label">delete</span><span class="url">/api/supprimer</span>
                </div>

                <div class="description hidden">
                  <p>Delete one wallet</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>Authorization</td>
                      <td>header</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>key</td>
                      <td>query</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </main>
  <script type="text/javascript" src="api-doc-generator.min.js"></script>
</body>
</html>
